Subject: Re: [PATCH] * remote.c (valid_fetch_refspec): remove useless if-before-free test

From: Alex Riesen <[email-masked]>
Date: Wed, 20 Aug 2008 21:40:02 +0200

Jim Meyering, Tue, Aug 19, 2008 20:46:30 +0200:
> We removed a handful of these useless if-before-free tests
> several months ago.  This change removes a new one that snuck back in.

Something used to crash in free when passed NULL. It's one of the
reasons why some cross-platform projects have xfree which does the
check (sometimes depending on platform). Admittedly, it is a long time
since I saw such a platform (some old SunOS it was, I believe).